# Passwords
You are the Chief Security Officer of your statistical institute. Your mission is to check if your employees use good passwords! To this end, you got your hands on the [passwd.txt](passwd.txt) file which contains the encrypted passwords of 22 employees.

## Warm up
0. Create a Google account at [google.com](https://google.com) if you don't have one yet.
1. Open [Google Colab Notebooks](https://colab.research.google.com), 
2. Click Examples
3. Click Overview of Colaboratory Features
4. Explore!
5. Feel free to check out more examples

## Cracking
1. Download [Password.ipynb](Password.ipynb)
2. Open [Google Colab Notebooks](https://colab.research.google.com)
3. Click upload, upload Password.ipynb
4. Change the runtime to "GPU": Runtime -> Change Runtime type -> GPU -> Save
5. Run the cells in order, one by one. We will be (ab)using the notebook to run Linux command line commands.

## Answers
1. Which of the users below had insecure passwords?
2. What is the password?
3. What mistake did the users make? If you cracked the password using a word-list, the type of word-list gives a good indication for that. Is it a commonly used password? Is it re-used from somewhere? Is it phished?
4. What would you advise them?

```
| user    | password | mistake 
|---------|--------- |---------
| alice   |          |         
| bob     |          |         
| charlie |          |         
| david   |          |         
| erin    |          |         
| frank   |          |         
| grace   |          |         
| heidi   |          |         
| ivan    |          |         
| judy    |          |         
| klaus   |          |         
| louis   |          |         
| mike    |          |         
| nils    |          |         
| otto    |          |         
| petra   |          |         
| quincy  |          |         
| rick    |          |         
| sam     |          |         
| tara    |          |         
| uma     |          |         
| victor  |          |         
```
